Home | Modules | Class Hierarchy | Alphabetical List | Compound List | Related Pages

# TextParser Class Reference
[Colorer interfaces]

Inheritance diagram for TextParser:

## Detailed Description

Basic lexical/syntax parser interface.

This class provides interface to lexical text parsing abilities of Colorer library. It uses LineSource as source of input data, and RegionHandler as interface to transfer results of text parse process.

Process of syntax parsing supports internal caching algorithims, which allows to store internal parser state and reparse text only partially (on change, on request).

## Public Methods
virtual void | setFileType (FileType *type)=0
| Sets root scheme (filetype) of parsed text.
virtual void | setLineSource (LineSource *lh)=0
| LineSource, used as input of parsing text.
virtual void | setRegionHandler (RegionHandler *rh)=0
| RegionHandler, used as outputter of parsed information.
virtual int | parse (int from, int num)=0
| Performs cachable text parse.
virtual void | breakParse ()=0
| Performs break of parsing process from external thread.
virtual void | clearCache ()=0
| Clears cached text stucture information.

## Member Function Documentation

virtual void TextParser::setFileType | ( | FileType * | type | ) | `[pure virtual]`

  | Sets root scheme (filetype) of parsed text. Parameters:
  type | FileType, which contains reference to it's baseScheme. If parameter is null, there will be no any kind of parse over the text.

virtual int TextParser::parse | ( | int | from,
|  | int | num
| ) | `[pure virtual]`

  | Performs cachable text parse. Builds internal structure of contexts, allowing apprication to continue parse from any already reached position of text. This guarantees the validness of result parse information. Parameters:
  from | Start parsing line
  num | Number of lines to parse

virtual void TextParser::breakParse | ( |  | ) | `[pure virtual]`

| Performs break of parsing process from external thread. It is used to stop parse from external source. This needed in some editor systems implementation, when editor system detects background changes in highlighted text, for example.

Colorer-take5 Library. Copyright © 1999-2003 Cail Lomecb.
Generated at Fri Sep 12 18:54:57 2003 by doxygen 1.3-rc2.